/** @type {import("stylelint").Config} */

export default {
  defaultSeverity: 'warning',
  formatter: 'compact',
  cache: false,
  fix: true,
  extends: [
    'stylelint-config-standard-scss',
    'stylelint-config-recommended-scss',
    'stylelint-config-tailwindcss/scss',
    'stylelint-config-recommended-vue/scss',
  ],
  plugins: ['stylelint-scss'],
  rules: {
    'at-rule-no-unknown': null,
    'scss/at-rule-no-unknown': [
      true,
      {
        ignoreAtRules: ['tailwind', 'responsive', 'screen'],
      },
    ],
    'declaration-empty-line-before': null,
  },
}
